%define	name	anjuta
%define	version	1.0.1
%define	release	3mdk

%define major	0
%define libname	lib%{name}%{major}

Summary:	Integrated development environment for c and c++ (Linux)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://anjuta.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
Patch0: 	anjuta-0.9.99-autoconf-2.5.patch.bz2 
Patch1:		anjuta-1.0.0-fixomf.patch.bz2	
Patch2:         anjuta-docbook41.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libGConf1-devel libgnome-vfs0-devel libglade0-devel docbook-dtd41-sgml libgdk-pixbuf2-devel
BuildRequires:	pkgconfig libgnomeprint15-devel
PreReq:		scrollkeeper
Requires:	%{libname} devhelp glademm libglade0-devel libgnomemm-1.2_9-devel

%description
Anjuta is a very versetile Integrated development environment for 
c and c++ (Linux). Written in gtk/gnome and written for gtk/gnome, 
it features many advanced programming tools and utilities. It is 
basically a GUI interface for the bunch of command line programming 
utilities and tools available for Linux, which are usually run in console and 
are very un-userfriendly.

%package -n %libname
Summary:	Anjuta libraries
Group:		System/Libraries

%description -n %libname
Anjuta is a very versetile Integrated development environment for
c and c++ (Linux). Written in gtk/gnome and written for gtk/gnome,
it features many advanced programming tools and utilities. It is
basically a GUI interface for the bunch of command line programming
utilities and tools available for Linux, which are usually run in console and
are very un-userfriendly.

%package -n %libname-devel
Summary:	Anjuta libraries
Group:		Development/C
Requires:	%libname = %version
Provides:	libanjuta-devel

%description -n %libname-devel
Anjuta is a very versetile Integrated development environment for
c and c++ (Linux). Written in gtk/gnome and written for gtk/gnome,
it features many advanced programming tools and utilities. It is
basically a GUI interface for the bunch of command line programming
utilities and tools available for Linux, which are usually run in console and
are very un-userfriendly.


%prep
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%setup -q

%patch0 -p1 
%patch1 -p1
%patch2 -p1

%build
%configure 

%make

%install
mkdir -p %buildroot/usr/{bin,doc,share/{pixmaps,gnome/{help,apps/Development}}}

%makeinstall

# remove unwanted files
rm -rf %buildroot/%_docdir/%name
rm -rf %buildroot/var/lib/scrollkeeper

(cd %buildroot
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}): \
command="/usr/bin/anjuta" \
title="Anjuta" \
longtitle="Anjuta C/C++ IDE " \
needs="x11" \
icon="development_section.png" \
section="Applications/Development/Development environments"
EOF
)
 
%find_lang %name
 
%post
%update_menus
 
%postun
%clean_menus 

%post -n %libname -p /sbin/ldconfig
if [ -x /usr/bin/scrollkeeper-update ]; then
/usr/bin/scrollkeeper-update -q || true ; fi

%postun -n %libname -p /sbin/ldconfig
if [ -x /usr/bin/scrollkeeper-update ]; then
/usr/bin/scrollkeeper-update -q || true ; fi

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -f %name.lang
%defattr(-,root,root) 
%doc ABOUT-NLS AUTHORS COPYING INSTALL NEWS README
%doc TODO doc/ScintillaDoc.html
%_bindir/*
%_datadir/gnome/apps/Development/anjuta.desktop
%_datadir/anjuta
%_datadir/gnome/help/anjuta
%_datadir/pixmaps/anjuta
%_datadir/omf/%name
%_menudir/*
%_mandir/man1/*
%_datadir/mime-info/*
%_datadir/mimelnk//application/*


%files -n %libname
%defattr(-,root,root)
%_libdir/%name/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/%name/*.*a*

%changelog
* Fri Jan 24 2003 Vincent Danen <vdanen@mandrakesoft.com> 1.0.1-3mdk
- BuildRequires: libgdk-pixbuf2-devel, pkgconfig, libgnomeprint15-devel
- some spec cleanups
- clean menu file

* Tue Dec 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-2mdk
- from Quel Qun <kelk1@hotmail.com> : 
	- add BuilRequires: libglade0-devel, docbook-dtd41-sgml.
	- Fixed docs conversion with dtd41.

* Tue Dec 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1
- add missing files & remove unwanted

* Tue Nov 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- regenerate patch

* Mon Aug 12 2002 Frederik Himpe <fhimpe@pandora.be> 0.9.99-1mdk
- update autoconf patch0
- add fcrozat patch1
- add scrollkeeper prereq & post & postun
- from Austin Acton :
	- 0.9.99
- from Frederik Himpe <fhimpe@pandora.be> :
	- requires glademm, libglade0-devel, libnomemm-1.2_9-devel
	- add patch to use autoconf-2.5

* Thu Jul 04 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.1.9-4mdk
- fix requires

* Tue Jun 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.9-3mdk
- rebuild against new libstdc++

* Thu Apr 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.9-2mdk
- requires devhelp

* Thu Apr 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.9-1mdk
- 0.1.9
- provides libanjuta & libanjuta-devel
- icon

* Tue Dec 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.8-1mdk
- 0.1.8

* Fri Aug 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.7-1mdk
- 0.1.7
- fix url

* Wed Jun 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.5-1mdk
- updated to 0.1.5
- able to use install macro

* Fri Mar 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-1mdk
- updated to 0.1.4

* Tue Feb 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.2-1mdk
- updated to 0.1.2

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-2mdk
- new url

* Tue Nov 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-1mdk
- new in contribs
